class GtaskBank < ApplicationRecord
  belongs_to :user
  belongs_to :graduation_task, optional: true
  belongs_to :course_list, optional: true

  has_many :attachments, as: :container, dependent: :destroy
  has_many :graduation_tasks, dependent: :nullify

  scope :myself, ->(user_id) { where(user_id: user_id)}
  scope :is_public, -> { where(:is_public => true) }

end
